commit:     68d510080396b8c5c6d285aaf596210770cf7e14
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 25 10:51:58 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jul 25 10:51:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68d51008

sys-libs/tdb: add 1.4.5

Bug: https://bugs.gentoo.org/803386
Bug: https://bugs.gentoo.org/803920
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-libs/tdb/Manifest         |  1 +
 sys-libs/tdb/tdb-1.4.5.ebuild | 59 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/sys-libs/tdb/Manifest b/sys-libs/tdb/Manifest
index 225967fb158..8b152902bb2 100644
--- a/sys-libs/tdb/Manifest
+++ b/sys-libs/tdb/Manifest
@@ -1,2 +1,3 @@
 DIST tdb-1.4.3.tar.gz 702836 BLAKE2B 
6593c3be527b383a7e8fd85b3613cf2429f6b665a7c609a56f57a6f5b41a080c1a681d712afd423c2bc1c741e06d7cd2c90949d9c5bf78ca834b18c64e23d51c
 SHA512 
99488839e7da396f04df60412d21a7d3e09efeab52772d6cb5e9470a3dfd585d73ef2422c51cd0d8ccc123a65d455de400d5d6b24a21a2a50d3da60d9a70e67a
 DIST tdb-1.4.4.tar.gz 714367 BLAKE2B 
fdd84fc76a428b3b98ca481a9ef42c46d21f67f6ca8d92a90e6f0c1d24aa8f1f3b773c8fdcb43b572f8a1441349af491cb5d4ad9440d0b95fb51b89591510e27
 SHA512 
ef0a997aacebcc804e84ec4a14de8189513ddd1083ba677e421269c21a94f5ca8fc188185645855e5ef81417f4843c8649417ff28f286b768d690907d5d4cb07
+DIST tdb-1.4.5.tar.gz 729650 BLAKE2B 
5d8a226cf251268d70f68759fb792628559fa3b10e7843d1a53914ea24f0ceca61fe0c3f348d704ebc8df4c56fe2365690b585b1c96cf53d63ecae1960aca58a
 SHA512 
373b2ce5b2c68fbc28b7679f0e7531115b91ddc6a68b27acada39b995f66b508b19f24d712fc4388654199abd69857e53ebd435d1ed47e3a69ba85ff667fed56

diff --git a/sys-libs/tdb/tdb-1.4.5.ebuild b/sys-libs/tdb/tdb-1.4.5.ebuild
new file mode 100644
index 00000000000..e16b6ec87c6
--- /dev/null
+++ b/sys-libs/tdb/tdb-1.4.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="Simple database API"
+HOMEPAGE="https://tdb.samba.org/";
+SRC_URI="https://samba.org/ftp/tdb/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
+
+RDEPEND="
+       !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       app-text/docbook-xml-dtd:4.2"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+src_prepare() {
+       default
+       python_fix_shebang .
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local extra_opts=()
+       if ! multilib_is_native_abi || ! use python ; then
+               extra_opts+=( --disable-python )
+       fi
+
+       waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+       # need to avoid parallel building, this looks like the sanest way with 
waf-utils/multiprocessing eclasses
+       unset MAKEOPTS
+       waf-utils_src_compile
+}
+
+multilib_src_test() {
+       # the default src_test runs 'make test' and 'make check', letting
+       # the tests fail occasionally (reason: unknown)
+       emake check
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+}

Reply via email to